Subject: bug#64827: closed (Re: bug#64827: texlive is broken)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 17 Aug 2023 14:32:02 +0000

Your bug report

#64827: Texlive-biber not installable

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
64827: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=64827
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#64827: texlive is broken
From: Andreas Enge <[email-masked]>
To: Nicolas Goaziou <[email-masked]>
Cc: Ricardo Wurmus <[email-masked]>, [email-masked]
Date: Thu, 17 Aug 2023 16:31:31 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Am Thu, Aug 17, 2023 at 03:17:55PM +0200 schrieb Nicolas Goaziou:
> I think it is simpler to to use a new module, as there's currently much
> work going on in "tex.scm".

As nothing depends on it, I have just pushed the changes to master and
deleted the wip branch. Thanks for your comments, Nicolas!

As a last change, I have tried to use the current ruby instead of [email-masked]
for building texlivebin, but it did not work.

> Indeed, I'm currently in the process in packaging `texlive-scheme-full'
> (and could use some help, as I might lose my sanity along the way). Once
> this is done (if it is ever!), we will be able to remove monolithic Tex
> Live completely.

Something to be discussed in a separate forum; guix-devel? I am closing
this bug now.

Andreas

Subject: Texlive-biber not installable
From: Andreas Enge <[email-masked]>
To: [email-masked]
Date: Mon, 24 Jul 2023 11:52:44 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

the latest texlive update (cudos!) has left texlive-biber broken, at least
in conjunction with the monolithic texlive:

$ guix shell texlive texlive-biber
The following derivation will be built:
  /gnu/store/b2dzc8ayda5dp53s5dq40v0f41290b4c-profile.drv

building CA certificate bundle...
listing Emacs sub-directories...
building fonts directory...
building directory of Info manuals...
building TeX Live font maps...
/builder for `/gnu/store/07yvc85w6piyggplfmmb211ljfp4kvqp-texlive-font-maps.drv' failed with exit code 1
build of /gnu/store/07yvc85w6piyggplfmmb211ljfp4kvqp-texlive-font-maps.drv failed
View build log at '/var/log/guix/drvs/07/yvc85w6piyggplfmmb211ljfp4kvqp-texlive-font-maps.drv.gz'.
cannot build derivation `/gnu/store/b2dzc8ayda5dp53s5dq40v0f41290b4c-profile.drv': 1 dependencies couldn't be built
guix shell: error: build of `/gnu/store/b2dzc8ayda5dp53s5dq40v0f41290b4c-profile.drv' failed

Here is the end of
/var/log/guix/drvs/07/yvc85w6piyggplfmmb211ljfp4kvqp-texlive-font-maps.drv.gz
(not reproducing all the warnings at the beginning of the file):
Use of uninitialized value $fn in concatenation (.) or string at /gnu/store/rhaj62vg3bfzlvrm9bsmif4z1bzgq84a-texlive-scripts-66594/bin/updmap line 2158.
Use of uninitialized value $fn in concatenation (.) or string at /gnu/store/rhaj62vg3bfzlvrm9bsmif4z1bzgq84a-texlive-scripts-66594/bin/updmap line 2159.
updmap: open() failed: No such file or directory at /gnu/store/rhaj62vg3bfzlvrm9bsmif4z1bzgq84a-texlive-scripts-66594/bin/updmap line 2159.
Use of uninitialized value $fn in concatenation (.) or string at /gnu/store/rhaj62vg3bfzlvrm9bsmif4z1bzgq84a-texlive-scripts-66594/bin/updmap line 2158.
Use of uninitialized value $fn in concatenation (.) or string at /gnu/store/rhaj62vg3bfzlvrm9bsmif4z1bzgq84a-texlive-scripts-66594/bin/updmap line 2159.
updmap: open() failed: No such file or directory at /gnu/store/rhaj62vg3bfzlvrm9bsmif4z1bzgq84a-texlive-scripts-66594/bin/updmap line 2159.
Use of uninitialized value $fn in concatenation (.) or string at /gnu/store/rhaj62vg3bfzlvrm9bsmif4z1bzgq84a-texlive-scripts-66594/bin/updmap line 2158.
Use of uninitialized value $fn in concatenation (.) or string at /gnu/store/rhaj62vg3bfzlvrm9bsmif4z1bzgq84a-texlive-scripts-66594/bin/updmap line 2159.
updmap: open() failed: No such file or directory at /gnu/store/rhaj62vg3bfzlvrm9bsmif4z1bzgq84a-texlive-scripts-66594/bin/updmap line 2159.
updmap [ERROR]: The following map file(s) couldn't be found:
updmap [ERROR]: 	dvips35.map (in builtin)
updmap [ERROR]: 	pdftex35.map (in builtin)
updmap [ERROR]: 	ps2pk35.map (in builtin)
updmap [ERROR]: Did you run mktexlsr?

	You can disable non-existent map entries using the option
	  --syncwithtrees.

Backtrace:
           2 (primitive-load "/gnu/store/zdmcg1a44zijbcf5a1p4bd030lc?")
In ice-9/eval.scm:
    619:8  1 (_ #(#(#(#<directory (guile-user) 7ffff77f7c80> #) #) #))
In guix/build/utils.scm:
    812:6  0 (invoke "/gnu/store/rhaj62vg3bfzlvrm9bsmif4z1bzgq84a-t?" ?)

guix/build/utils.scm:812:6: In procedure invoke:
ERROR:
  1. &invoke-error:
      program: "/gnu/store/rhaj62vg3bfzlvrm9bsmif4z1bzgq84a-texlive-scripts-66594/bin/updmap-sys"
      arguments: ("--cnffile=/gnu/store/m8pgn9zabl8h3pgaqs7hxj8y9z4mvxhs-texlive-font-maps/share/texmf-dist/web2c/updmap.cfg" "--dvipdfmxoutputdir=/gnu/store/m8pgn9zabl8h3pgaqs7hxj8y9z4mvxhs-texlive-font-maps/share/texmf-dist/fonts/map/dvipdfmx/updmap" "--dvipsoutputdir=/gnu/store/m8pgn9zabl8h3pgaqs7hxj8y9z4mvxhs-texlive-font-maps/share/texmf-dist/fonts/map/dvips/updmap" "--pdftexoutputdir=/gnu/store/m8pgn9zabl8h3pgaqs7hxj8y9z4mvxhs-texlive-font-maps/share/texmf-dist/fonts/map/pdftex/updmap")
      exit-status: 1
      term-signal: #f
      stop-signal: #f

Andreas